ciao a tutti. Ultimamente ubuntu mi da dei problemi quando cerco di installare dei nuovi programmi sia da terminale che tramite ubuntu software center.

questo è quello che succede quando uso il terminale:

pietro@ubuntu:~$ sudo apt-get install chromium-browser
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
chromium-browser : Depends: libxss1 but it is not going to be installed
                Depends: chromium-codecs-ffmpeg-extra (>= 0.6) but it is not going to be installed or
                         chromium-codecs-ffmpeg (>= 0.6) but it is not going to be installed
                Recommends: chromium-browser-l10n but it is not going to be installed
google-chrome-stable:i386 : Depends: libcairo2:i386 (>= 1.6.0) but it is not going to be installed
                         Depends: libcap2:i386 (>= 2.10) but it is not going to be installed
                         Depends: libgconf-2-4:i386 (>= 2.31.1) but it is not going to be installed
                         Depends: libgdk-pixbuf2.0-0:i386 (>= 2.22.0) but it is not going to be installed
                         Depends: libgtk2.0-0:i386 (>= 2.24.0) but it is not going to be installed
                         Depends: libnspr4:i386 (>= 1.8.0.10) but it is not going to be installed
                         Depends: libnss3:i386 (>= 3.14.3) but it is not going to be installed
                         Depends: libpango1.0-0:i386 (>= 1.22.0) but it is not going to be installed
                         Depends: libudev0:i386 (>= 147) but it is not going to be installed or
                                  libudev1:i386 (>= 198) but it is not installable
                         Depends: libxcomposite1:i386 (>= 1:0.3-1) but it is not going to be installed
                         Depends: libxcursor1:i386 (> 1.1.2) but it is not going to be installed
                         Depends: libxdamage1:i386 (>= 1:1.1) but it is not going to be installed
                         Depends: libxfixes3:i386 (>= 1:5.0) but it is not going to be installed
                         Depends: libxrandr2:i386 (>= 2:1.2.99.2) but it is not going to be installed
                         Depends: libxtst6:i386 but it is not going to be installed
                         Depends: libappindicator1:i386 but it is not going to be installed
                         Depends: libcurl3:i386 but it is not going to be installed
                         Depends: xdg-utils:i386 (>= 1.0.2) but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

ho provato con apt-get -f install ma il problema non si risolve

qualche consiglio?

chiesto 19 Nov '15, 21:09

_-%20pietro%20-_'s gravatar image

_- pietro -_
1011

modificato 19 Nov '15, 21:33

alevipri's gravatar image

alevipri
5.5k2479

Versione si Ubuntu? Repository esterni abilitati?

(19 Nov '15, 21:54) dadexix86 ♦♦ dadexix86's gravatar image

La versione è 12.04 ma l ho trovato già installato così, quondi x i repository non so quali ci sono, c è un modo x capirlo?

(19 Nov '15, 22:03) _- pietro -_ _-%20pietro%20-_'s gravatar image

Sì, posta su pastebin gli output di

cat /etc/apt/sources.list
ls /etc/apt/sources.list.d

e metti qui i link :)

(19 Nov '15, 22:12) dadexix86 ♦♦ dadexix86's gravatar image

su pastebin mi fa dei problemi comunque al primo comando mi da come output

http://pastebin.ubuntu.com/13360307/

mentre al secondo:

opera.list  playdeb.list
(20 Nov '15, 00:23) _- pietro -_ _-%20pietro%20-_'s gravatar image

@-pietro-: non usare le risposte, usa i commenti. Pastebin funziona bene, forse non hai saputo usarlo.

(20 Nov '15, 07:43) enzotib ♦♦ enzotib's gravatar image

molto probabilmente

(20 Nov '15, 08:24) _- pietro -_ _-%20pietro%20-_'s gravatar image

@-pietro- per pastebin c'è questa ottima guida che ti spiega come usarlo.

Postami su pastebin l'output dei seguenti comandi

apt-get install -s chromium-browser
apt-get install -s chromium-codecs-ffmpeg-extra
apt-get install -s libxss1
apt-cache policy chromium-browser chromium-codecs-ffmpeg-extra libxss1
(20 Nov '15, 08:52) dadexix86 ♦♦ dadexix86's gravatar image

apt-get install -s chromium-browser http://paste.ubuntu.com/13361781/

apt-get install -s chromium-codecs-ffmpeg-extra http://paste.ubuntu.com/13361801/

apt-get install -s libxss1 http://paste.ubuntu.com/13361814/

apt-cache policy chromium-browser chromium-codecs-ffmpeg-extra libxss1 http://paste.ubuntu.com/13361821/

(20 Nov '15, 09:13) _- pietro -_ _-%20pietro%20-_'s gravatar image

Hai provato a installare Google Chrome a un certo punto e non ci sei riuscito?

Posta

sudo apt-get install -f
(20 Nov '15, 09:15) dadexix86 ♦♦ dadexix86's gravatar image

si quando ci provavo mi chiedeva di usare sudo apt-get install -f ed esce questo http://paste.ubuntu.com/13361965/

(20 Nov '15, 09:28) _- pietro -_ _-%20pietro%20-_'s gravatar image

Ma sei connesso ad internet, sì?

Posta

ping it.archive.ubuntu.com
(20 Nov '15, 09:51) dadexix86 ♦♦ dadexix86's gravatar image

si si, ci sto provando anche adesso

(20 Nov '15, 09:52) _- pietro -_ _-%20pietro%20-_'s gravatar image

Ma tra l'altro hai 32 o 64 bit? Perché sembra che tu abbia 64, ma hai provato ad installare Chrome a 32...

Oltre al ping, posta

uname -p
(20 Nov '15, 09:58) dadexix86 ♦♦ dadexix86's gravatar image

si la versione è x86_64

(20 Nov '15, 10:04) _- pietro -_ _-%20pietro%20-_'s gravatar image

ho anche provato a scaricare chrome a 64 e installarla con ubuntu software center ma mi da questo errore:

The package system is broken

Check if you are using third party repositories. If so disable them, since they are a common source of problems. Furthermore run the following command in a Terminal: apt-get install -f

(20 Nov '15, 10:19) _- pietro -_ _-%20pietro%20-_'s gravatar image

Eh, hai fatto un bel casino a provare ad installare Chrome a 32 su Ubuntu a 64...

Il ping che dice?

(20 Nov '15, 10:31) dadexix86 ♦♦ dadexix86's gravatar image

pietro@ubuntu:~$ ping it.archive.ubuntu.com PING mirror3.mirror.garr.it (193.206.139.34) 56(84) bytes of data.

(20 Nov '15, 10:58) _- pietro -_ _-%20pietro%20-_'s gravatar image

Ok, ci sono dei problemi con la tua rete, perché non riesce a pingarli.
Dovresti avere qualcosa del tipo

ping it.archive.ubuntu.com
PING mirror3.mirror.garr.it (193.206.139.34) 56(84) bytes of data.
64 bytes from mirror3.mirror.garr.it (193.206.139.34): icmp_seq=1 ttl=54 time=24.6 ms
64 bytes from mirror3.mirror.garr.it (193.206.139.34): icmp_seq=2 ttl=54 time=25.8 ms

Puoi provare a cambiare i server andando in Sorgenti Software e selezionare Server Principale al posto di quelli italiani.

(20 Nov '15, 11:24) dadexix86 ♦♦ dadexix86's gravatar image

poi devo dare un comando da terminale?

(20 Nov '15, 11:33) _- pietro -_ _-%20pietro%20-_'s gravatar image

Sì, come sopra

sudo apt-get install -f
(20 Nov '15, 11:47) dadexix86 ♦♦ dadexix86's gravatar image

C'è un grosso problema con la tua connessione (111: Connection refused).

Sei dietro a un proxy?
Qual è il tuo ISP?
Sei connesso via cavo Ethernet, wi-fi, USB?

(20 Nov '15, 12:03) dadexix86 ♦♦ dadexix86's gravatar image

l' isp è telecom

sono connesso tramite wi-fi

e il proxy dovrebbe essere quello automatico di firefox

(20 Nov '15, 12:15) _- pietro -_ _-%20pietro%20-_'s gravatar image

Il terminale non legge il proxy di firefox, ovviamente.

Per utilizzare apt-get dietro a un proxy devi impostarlo, seguendo la guida apposita.

(20 Nov '15, 12:19) dadexix86 ♦♦ dadexix86's gravatar image

come faccio a capire l'indirizzo del proxy e la porta che usa?

(20 Nov '15, 12:28) _- pietro -_ _-%20pietro%20-_'s gravatar image

Non necessariamente c'è un proxy, devi leggere le istruzioni che ti ha fornito il tuo ISP...

A leggere un po' il tuo problema potrebbe anche "solo" essere un problema di gateway. Qual è il gateway che hai impostato? È raggiungibile?

(20 Nov '15, 12:33) dadexix86 ♦♦ dadexix86's gravatar image

sinceramente non lo so, come faccio a capirlo?

(20 Nov '15, 13:31) _- pietro -_ _-%20pietro%20-_'s gravatar image

Vai in alto a destra nel menu delle connessioni > Informazioni connessione, poi provi a pingarlo come prima ma mettendo quell'indirizzo.

Poi devi leggere nel router quali sono le istruzioni per il gateway che ti dà la Telecom e impostare il tutto correttamente.

(20 Nov '15, 13:35) dadexix86 ♦♦ dadexix86's gravatar image

facendo il ping la risposta è questa

pietro@ubuntu:~$ ping 192.168.0.107 PING 192.168.0.107 (192.168.0.107) 56(84) bytes of data.

poi però inizia con gli errori come dopo l'altro ping

invece se cerco l'indirizzo ip raggiungo l'interfaccia web del router, lì cosa devo modificare?

(20 Nov '15, 13:50) _- pietro -_ _-%20pietro%20-_'s gravatar image

È abbastanza strano che il gateway sia sul 107, sei sicuro che sul manuale del router dica di impostarlo lì?

(20 Nov '15, 14:00) dadexix86 ♦♦ dadexix86's gravatar image

No scusa ho scritto male io, è sul 192.168.0.1 Comunque col ping non cambia niente

(20 Nov '15, 14:03) _- pietro -_ _-%20pietro%20-_'s gravatar image

Postami per favore la schermata della configurazione della rete.

(20 Nov '15, 14:05) dadexix86 ♦♦ dadexix86's gravatar image

Quella del menu connessioni?

(20 Nov '15, 14:07) _- pietro -_ _-%20pietro%20-_'s gravatar image

Sì grazie :) Puoi caricarla su imgur e mettere qui il link.

(20 Nov '15, 14:17) dadexix86 ♦♦ dadexix86's gravatar image

Sul router hai la possibilità di fare ping? Se sì, prova a fargli raggiungere i siti dei repository come sopra.

Quali sono i DNS che hai impostato sul router?

(20 Nov '15, 14:33) dadexix86 ♦♦ dadexix86's gravatar image

col ping mi da sempre il solito problema

i dns non riesco a trovarli

(20 Nov '15, 14:45) _- pietro -_ _-%20pietro%20-_'s gravatar image

Quindi il problema non è della connessione tra router e PC, né del PC, il problema è della connessione tra il router e il resto del mondo.

Contatta l'assistenza del tuo ISP spiegando il problema (ovvero che il router non riesce a pingare quegli indirizzi) e spera che lo risolvano.

(20 Nov '15, 14:51) dadexix86 ♦♦ dadexix86's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×788
×46

domanda posta: 19 Nov '15, 21:09

domanda visualizzata: 496 volte

ultimo aggiornamento: 20 Nov '15, 14:51

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.